org.apache.cassandra.cql3.statements

## Class DeleteStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ModificationStatement
  - - org.apache.cassandra.cql3.statements.DeleteStatement

All Implemented Interfaces:
  CQLStatement

    public class DeleteStatement
    extends ModificationStatement

A `DELETE` parsed from a CQL query statement.

### Nested Class Summary

Nested Classes
`static class` `DeleteStatement.Parsed`

### Field Summary

### Fields inherited from class org.apache.cassandra.cql3.statements.ModificationStatement

`cfm, CUSTOM_EXPRESSIONS_NOT_ALLOWED, logger, type`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addUpdateForKey(PartitionUpdate update, Clustering clustering, UpdateParameters params)`
`void` `addUpdateForKey(PartitionUpdate update, Slice slice, UpdateParameters params)`

### Methods inherited from class org.apache.cassandra.cql3.statements.ModificationStatement

`addConditions, addFunctionsTo, allOperations, appliesOnlyToStaticColumns, buildCasResultSet, buildPartitionKeyNames, checkAccess, columnFamily, conditionColumns, createClustering, execute, executeInternal, executeInternalWithCondition, executeInternalWithoutCondition, executeWithCondition, getBoundTerms, getColumnsWithConditions, getFunctions, getRegularOperations, getRestrictions, getStaticOperations, getTimestamp, getTimeToLive, hasConditions, hasIfExistCondition, hasIfNotExistCondition, hasSlices, isCounter, isTimestampSet, isView, keyspace, requiresRead, updatedColumns, updatesRegularRows, updatesStaticRow, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### addUpdateForKey

    public void addUpdateForKey(PartitionUpdate update,
                                Clustering clustering,
                                UpdateParameters params)
                         throws InvalidRequestException

Specified by:
  `addUpdateForKey` in class `ModificationStatement`
Throws:
  `InvalidRequestException`

#### addUpdateForKey

    public void addUpdateForKey(PartitionUpdate update,
                                Slice slice,
                                UpdateParameters params)

Specified by:
  `addUpdateForKey` in class `ModificationStatement`